From 6664bc9b3d2793944f2947b7f5f02f0699822a23 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9lestin=20Matte?= <dev@cmatte.me>
Date: Wed, 7 Aug 2024 16:27:39 +0200
Subject: [PATCH 5/6] Add possibility to add additional links in the banner

---
 web/pglister/lists/templates/base.html | 3 +++
 web/pglister/settings.py               | 2 ++
 2 files changed, 5 insertions(+)

diff --git a/web/pglister/lists/templates/base.html b/web/pglister/lists/templates/base.html
index d957b86..b73f67d 100644
--- a/web/pglister/lists/templates/base.html
+++ b/web/pglister/lists/templates/base.html
@@ -16,6 +16,9 @@
 	<div class="col-sm-12" id="pglisterhdr">
 	  <a href="/"><img src="/media/img/{{organization_info.banner_left}}" alt="{{organization_info.name}}" /></a>
 	  <img class="pull-right hidden-xs" src="/media/img/{{organization_info.banner_right}}" alt="{{organization_info.motto}}" />
+          {%for l in organization_info.links%}
+          <a href="{{ l.href }}" class='btn btn-lg btn-primary'>{{ l.name }}</a>
+          {%endfor%}
 	</div>
       </div>
 {%if messages%}
diff --git a/web/pglister/settings.py b/web/pglister/settings.py
index e65d00c..41f7d7a 100644
--- a/web/pglister/settings.py
+++ b/web/pglister/settings.py
@@ -125,6 +125,8 @@ ORGANIZATION_INFO = {
     # mentions of PostgreSQL
     'banner_left': 'hdr_left.png',
     'banner_right': 'hdr_right.png',
+    # Additional links to add in the banner.
+    'links': [{'name': 'PostgreSQL', 'href': 'https://postgresql.org'}],
 }
 
 # Override in local settings
-- 
2.45.2

